Vulnerability   
Search   
    Search 191973 CVE descriptions
and 86218 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.1.2.2020.2251
Category:Huawei EulerOS Local Security Checks
Title:Huawei EulerOS: Security Advisory for libexif (EulerOS-SA-2020-2251)
Summary:The remote host is missing an update for the Huawei EulerOS; 'libexif' package(s) announced via the EulerOS-SA-2020-2251 advisory.
Description:Summary:
The remote host is missing an update for the Huawei EulerOS
'libexif' package(s) announced via the EulerOS-SA-2020-2251 advisory.

Vulnerability Insight:
In libexif, there is a possible out of bounds write due to an integer overflow. This could lead to remote escalation of privilege in the media content provider with no additional execution privileges needed. User interaction is needed for exploitation. Product: AndroidVersions: Android-10Android ID: A-112537774(CVE-2019-9278)

In exif_data_load_data_thumbnail of exif-data.c, there is a possible denial of service due to an integer overflow. This could lead to remote denial of service with no additional execution privileges needed. User interaction is not needed for exploitation.Product: AndroidVersions: Android-10Android ID: A-145075076(CVE-2020-0181)

In exif_data_save_data_entry of exif-data.c, there is a possible out of bounds read due to a missing bounds check. This could lead to local information disclosure with no additional execution privileges needed. User interaction is needed for exploitation.Product: AndroidVersions: Android-8.0 Android-8.1 Android-9 Android-10Android ID: A-148705132(CVE-2020-0093)

In exif_data_load_data_content of exif-data.c, there is a possible UBSAN abort due to an integer overflow. This could lead to remote denial of service with no additional execution privileges needed. User interaction is needed for exploitation.Product: AndroidVersions: Android-10Android ID: A-146428941(CVE-2020-0198)

Affected Software/OS:
'libexif' package(s) on Huawei EulerOS V2.0SP5.

Solution:
Please install the updated package(s).

CVSS Score:
6.8

CVSS Vector:
AV:N/AC:M/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2019-9278
Bugtraq: 20200210 [SECURITY] [DSA 4618-1] libexif security update (Google Search)
https://seclists.org/bugtraq/2020/Feb/9
Debian Security Information: DSA-4618 (Google Search)
https://www.debian.org/security/2020/dsa-4618
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/MO2VTHD7OLPJDCJBHKUQTBAHZOBBCF6X/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/VA5BPQLOFXIZOOJHBYDU635Z5KLUMTDD/
https://security.gentoo.org/glsa/202007-05
https://source.android.com/security/bulletin/android-10
https://lists.debian.org/debian-lts-announce/2020/02/msg00007.html
http://www.openwall.com/lists/oss-security/2019/10/25/17
http://www.openwall.com/lists/oss-security/2019/10/27/1
http://www.openwall.com/lists/oss-security/2019/11/07/1
SuSE Security Announcement: openSUSE-SU-2020:0264 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2020-03/msg00000.html
SuSE Security Announcement: openSUSE-SU-2020:0793 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2020-06/msg00017.html
https://usn.ubuntu.com/4277-1/
Common Vulnerability Exposure (CVE) ID: CVE-2020-0093
https://source.android.com/security/bulletin/2020-05-01
https://lists.debian.org/debian-lts-announce/2020/05/msg00016.html
https://usn.ubuntu.com/4396-1/
Common Vulnerability Exposure (CVE) ID: CVE-2020-0181
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/SVBD5JRUQPN4LQHTAAJHA3MR5M7YTAC7/
https://security.gentoo.org/glsa/202011-19
https://source.android.com/security/bulletin/pixel/2020-06-01
Common Vulnerability Exposure (CVE) ID: CVE-2020-0198
https://lists.debian.org/debian-lts-announce/2020/06/msg00020.html
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 86218 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.